Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.button
Interface ButtonModel

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  ToggleButtonModel

All Known Implementing Classes:
  DefaultButtonModel, DefaultMenuItemModel, DefaultToggleButtonModel

    public interface ButtonModel

extends java.io.Serializable

Model for button components.

Method Summary
`void` | `addActionListener(ActionListener l)` Adds an `ActionListener` to receive notification of user actions, i.e., button presses.
`void` | `doAction()` Notifies the model of the button's action having been invoked.
`java.lang.String` | `getActionCommand()` Returns the action command.
`void` | `removeActionListener(ActionListener l)` Removes an `ActionListener` from being notified of user actions, i.e., button presses.
`void` | `setActionCommand(java.lang.String newValue)` Sets the action command.

Method Detail

### addActionListener

    void addActionListener(ActionListener l)

  Adds an `ActionListener` to receive notification of user actions, i.e., button presses.

  Parameters:
    `l` - the listener to add

### doAction

    void doAction()

  Notifies the model of the button's action having been invoked.

### getActionCommand

    java.lang.String getActionCommand()

  Returns the action command.

  Returns:
    the action command

### removeActionListener

    void removeActionListener(ActionListener l)

  Removes an `ActionListener` from being notified of user actions, i.e., button presses.

  Parameters:
    `l` - the listener to remove

### setActionCommand

    void setActionCommand(java.lang.String newValue)

  Sets the action command.

  Parameters:
    `newValue` - the new action command

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD